Subject: [Emu] More comments for eap-tunnel-method

From: "Jim Schaad" <[email-masked]>
Date: Sun, 30 Sep 2012 11:01:59 -0700

1.  Should the Message Length field be present if the TLS Data field is
absent?

2.  There is nothing to say which TLVs can and cannot occur in the Outer
TLVs in any easily findable method.  Either a table or the string outer in
descriptions would be helpful.  As an example,  does the Authority-ID TLV in
the outer TLV make sense?

3.  I have gone through the fragmentation and did an implementation rather
than just reading it.  The questions that I have on it now are slightly
different.  Do TLVs need to be on a fragment boundary? Or do we just build
the entire message, fragment it into convenient sizes regardless of the
actual content of the message contents and sent the pieces across?  If so
then the text should probably be re-written to be clearer.  Specifically,
the message length is not useful for allocating the buffer on the first
round trip of messages where one can have a TLV added in to the content.